org.apache.lucene.queryParser.standard.config

## Interface BoostAttribute

- All Superinterfaces:
    Attribute
  All Known Implementing Classes:
    BoostAttributeImpl

      public interface BoostAttribute
      extends Attribute

  This attribute is used by `MultiFieldQueryNodeProcessor` processor and it should be defined in a `FieldConfig`. This processor uses this attribute to define which boost a specific field should have when none is defined to it.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `float` | `getBoost()`
    `void` | `setBoost(float boost)`

- - ### Method Detail

    - #### setBoost

          void setBoost(float boost)

    - #### getBoost

          float getBoost()

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.